﻿-- Locale
local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AL = AceLocale:NewLocale("RareScanner", "deDE", false);

if AL then
	-- UI strings
	AL["CHECK_MAP"] = "Check your map!";
	AL["UNKNOWN_TARGET"] = "Unknown target";
	AL["JUST_SPAWNED"] = " just showed up";
	AL["NOT_TARGETEABLE"] = "Not targeteable";
	AL["CLICK_TARGET"] = "Click to target NPC";
	AL["ALARM_MESSAGE"] = "A rare NPC just showed up, check your map!";
	
	-- UI config panel
	AL["GENERAL_OPTIONS"] = "General options";
	AL["ENABLE_SCAN_RARES"] = "Toggle searching rare NPCs";
	AL["ENABLE_SCAN_RARES_DESC"] = "When this is activated you will be warned visually and with a sound everytime a rare NPC shows up in your minimap";
	AL["ENABLE_SCAN_CONTAINERS"] = "Toggle searching treasures or chests";
	AL["ENABLE_SCAN_CONTAINERS_DESC"] = "When this is activated you will be warned visually and with a sound everytime a treasure or chest shows up in your minimap";
	AL["ENABLE_SCAN_EVENTS"] = "Toggle searching events";
	AL["ENABLE_SCAN_EVENTS_DESC"] = "When this is activated you will be warned visually and with a sound everytime an event shows up in your minimap";
	AL["SOUND"] = "Sound";
	AL["SOUND_OPTIONS"] = "Sound options";
	AL["ALARM_SOUND"] = "Warning sound";
	AL["ALARM_SOUND_DESC"] = "Sound played when a rare NPC, treasure/chest or event shows up in your minimap";

	-- Rares
	AL["Aeonaxx"] = 50062; --Aeonaxx
	AL["Aetha"] = 58778; --Aetha
	AL["Aethis"] = 50750; --Aethis
	AL["Ahone die Wanderin"] = 50817; --Ahone the Wanderer
	AL["Ai-Li Himmelsspiegel"] = 50821; --Ai-Li Skymirror
	AL["Ai-Ran die flüchtige Wolke"] = 50822; --Ai-Ran the Shifting Cloud
	AL["Al'tabim der Allsehende"] = 70000; --Al'tabim the All-Seeing
	AL["Ankha"] = 54318; --Ankha
	AL["Anthriss"] = 54338; --Anthriss
	AL["Archiereus der Flamme"] = 73666; --Archiereus of Flame
	AL["Erzritualist Kelada"] = 70243; --Archritualist Kelada
	AL["Arness die Schuppe"] = 50787; --Arness the Scale
	AL["Rückenbrecher Uru"] = 70001; --Backbreaker Uru
	AL["Bai-Jin der Schlächter"] = 58949; --Bai-Jin the Butcher
	AL["Ban'thalos"] = 54320; --Ban'thalos
	AL["Baolai der Verbrenner"] = 63695; --Baolai the Immolator
	AL["Schwarzhuf"] = 51059; --Blackhoof
	AL["Blutspitz"] = 58474; --Bloodtip
	AL["Bonobos"] = 50828; --Bonobos
	AL["Borginn Dunkelfaust"] = 50341; --Borginn Darkfist
	AL["Bufo"] = 72775; --Bufo
	AL["Champion der Schwarzen Flamme"] = 73171; --Champion of the Black Flame
	AL["Chelon"] = 72045; --Chelon
	AL["Glutfall"] = 73175; --Cinderfall
	AL["Cournith Wasserläufer"] = 50768; --Cournith Waterstrider
	AL["Knackzahn"] = 58768; --Cracklefang
	AL["Kranichknirscher"] = 72049; --Cranegnasher
	AL["Dak der Brecher"] = 50334; --Dak the Breaker
	AL["Dalan Nachtbrecher"] = 68318; --Dalan Nightbreaker
	AL["Toth'tilac"] = 54322; --Deth'tilac
	AL["Disha Furchtwächter"] = 68319; --Disha Fearwarden
	AL["Doktor Theolen Krastinov"] = 59369; --Doctor Theolen Krastinov
	AL["Schreckensschiff Vazuvius"] = 73281; --Dread Ship Vazuvius
	AL["Smaragdkranich"] = 73158; --Emerald Gander
	AL["Eshelon"] = 50772; --Eshelon
	AL["Tiefenschlund"] = 73279; --Evermaw
	AL["Ferdinand"] = 51078; --Ferdinand
	AL["Fleisch'rok der Verpestete"] = 70429; --Flesh'rok the Diseased
	AL["Funkenlord Gairan"] = 73172; --Flintlord Gairan
	AL["Fokussiertes Auge"] = 70249; --Focused Eye
	AL["Gaarn der Giftige"] = 50340; --Gaarn the Toxic
	AL["Gaohun der Seelenschnitter"] = 62881; --Gaohun the Soul-Severer
	AL["Gar'lok"] = 50739; --Gar'lok
	AL["Garnia"] = 73282; --Garnia
	AL["General Temuja"] = 63101; --General Temuja
	AL["Geisterkrabbler"] = 50051; --Ghostcrawler
	AL["Go-Kan"] = 50331; --Go-Kan
	AL["Gochao die Eisenfaust"] = 62880; --Gochao the Ironfist
	AL["Gottkoloss Ramuk"] = 69999; --God-Hulk Ramuk
	AL["Goda"] = 69998; --Goda
	AL["Golganarr"] = 72970; --Golganarr
	AL["Großschildkröte Zornpanzer"] = 73161; --Great Turtle Furyshell
	AL["Gu'chi der Schwarmbringer"] = 72909; --Gu'chi the Swarmbringer
	AL["Havak"] = 50354; --Havak
	AL["Durchgebranntes Konstrukt der Sonnenhäscher"] = 50358; --Haywire Sunreaver Construct
	AL["Huo-Shuang"] = 63691; --Huo-Shuang
	AL["Huolon"] = 73167; --Huolon
	AL["Ik-Ik der Flinke"] = 50836; --Ik-Ik the Nimble
	AL["Kaiserpython"] = 73163; --Imperial Python
	AL["Eisenfellstahlhorn"] = 73160; --Ironfur Steelhorn
	AL["Jadezahn"] = 49822; --Jadefang
	AL["Jakur von Ordos"] = 73169; --Jakur of Ordon
	AL["Jonn-Dar"] = 50351; --Jonn-Dar
	AL["Kah'tir"] = 50355; --Kah'tir
	AL["Kal'tik der Veröder"] = 50749; --Kal'tik the Blight
	AL["Kang der Seelendieb"] = 50349; --Kang the Soul Thief
	AL["Kar Kriegstreiber"] = 68321; --Kar Warmaker
	AL["Karkanos"] = 72193; --Karkanos
	AL["Karkin"] = 50959; --Karkin
	AL["Karoma"] = 50138; --Karoma
	AL["Karr der Verdunkler"] = 50347; --Karr the Darkener
	AL["Kirix"] = 54323; --Kirix
	AL["Kor'nas Nachtgrauen"] = 50338; --Kor'nas Nightsavage
	AL["Korda Torros"] = 50332; --Korda Torros
	AL["Krakkanon"] = 70323; --Krakkanon
	AL["Krax'ik"] = 50363; --Krax'ik
	AL["Kri'chon"] = 63978; --Kri'chon
	AL["Krol die Klinge"] = 50356; --Krol the Blade
	AL["Ku'lai die Himmelsklaue"] = 69996; --Ku'lai the Skyclaw
	AL["Blattheiler"] = 73277; --Leafmender
	AL["Lith'ik der Pirscher"] = 50734; --Lith'ik the Stalker
	AL["Lon der Bulle"] = 50333; --Lon the Bull
	AL["Lu-Ban"] = 70002; --Lu-Ban
	AL["Magria"] = 54319; --Magria
	AL["Major Affentanz"] = 50840; --Major Nanners
	AL["Mavis Harms"] = 68317; --Mavis Harms
	AL["Das Tier"] = 50823; --Mister Ferocious
	AL["Moldo Einauge"] = 50806; --Moldo One-Eye
	AL["Molthor"] = 70003; --Molthor
	AL["Monara"] = 70440; --Monara
	AL["Monströse Dornzange"] = 73166; --Monstrous Spineclaw
	AL["Morgrinn Bersthauer"] = 50350; --Morgrinn Crackfang
	AL["Muerta"] = 68322; --Muerta
	AL["Mumta"] = 69664; --Mumta
	AL["Nal'lak der Reißer"] = 50364; --Nal'lak the Ripper
	AL["Nalash Verdantis"] = 50776; --Nalash Verdantis
	AL["Nasra Fleckpelz"] = 50811; --Nasra Spothide
	AL["Nessos das Orakel"] = 50789; --Nessos the Oracle
	AL["No'ku Sturmsprecher"] = 70276; --No'ku Stormsayer
	AL["Norlaxx"] = 50344; --Norlaxx
	AL["Omnis Feixmaul"] = 50805; --Omnis Grinlok
	AL["Oberanführer Zornesbeben"] = 50085; --Overlord Sunderfury
	AL["Prinz Lakma"] = 54533; --Prince Lakma
	AL["Progenitus"] = 69997; --Progenitus
	AL["Qu'nas"] = 50352; --Qu'nas
	AL["Kwall"] = 58771; --Quid
	AL["Ra'sha"] = 70530; --Ra'sha
	AL["Klapperknochen"] = 72048; --Rattleskew
	AL["Steinmoos"] = 73157; --Rock Moss
	AL["Krankenstein"] = 70430; --Rocky Horror
	AL["Ruun Geisterpranke"] = 50816; --Ruun Ghostpaw
	AL["Sahn Gezeitenjäger"] = 50780; --Sahn Tidehunter
	AL["Kriegsspäher von Salyis"] = 50783; --Salyin Warscout
	AL["Sambas"] = 50159; --Sambas
	AL["Sarnak"] = 50782; --Sarnak
	AL["Kritscher"] = 50831; --Scritch
	AL["Sele'na"] = 50766; --Sele'na
	AL["Schattenmeister Sydow"] = 63240; --Shadowmaster Sydow
	AL["Siltriss der Schärfer"] = 50791; --Siltriss the Sharpener
	AL["Skarr"] = 50815; --Skarr
	AL["Ski'thik"] = 50733; --Ski'thik
	AL["Flickerflamm"] = 54324; --Skitterflame
	AL["Solix"] = 54321; --Solix
	AL["Spelurk"] = 71864; --Spelurk
	AL["Jadefeuergeist"] = 72769; --Spirit of Jadefire
	AL["Geist von Lao-Fe"] = 58817; --Spirit of Lao-Fe
	AL["Spriggin"] = 50830; --Spriggin
	AL["Stinkezopf"] = 73704; --Stinkbraid
	AL["Sulik'shor"] = 50339; --Sulik'shor
	AL["Tarvus der Üble"] = 50086; --Tarvus the Vile
	AL["Der Jauler"] = 50832; --The Yowler
	AL["Torik-Ethis"] = 50388; --Torik-Ethis
	AL["Tsavo'ka"] = 72808; --Tsavo'ka
	AL["Ubunti der Schatten"] = 68320; --Ubunti the Shade
	AL["Starrendes Auge"] = 70238; --Unblinking Eye
	AL["Urdur der Kauterisierer"] = 73173; --Urdur the Cauterizer
	AL["Urgolax"] = 50359; --Urgolax
	AL["Urobi der Wanderer"] = 50808; --Urobi the Walker
	AL["Zangenkiefer"] = 58769; --Vicejaw
	AL["Vyraxxis"] = 63977; --Vyraxxis
	AL["Kriegsgott Dokah"] = 70096; --War-God Dokah
	AL["Behüter Osu"] = 73170; --Watcher Osu
	AL["Whizzig"] = 73293; --Whizzig
	AL["Willi Wilder"] = 70126; --Willy Wilder
	AL["Wulon"] = 63510; --Wulon
	AL["Yorik Scharfauge"] = 50336; --Yorik Sharpeye
	AL["Yul Wildpfote"] = 50820; --Yul Wildpaw
	AL["Zai der Verstoßene"] = 50769; --Zai the Outcast
	AL["Kriegshetzer der Zandalari"] = 69769; --Zandalari Warbringer
	AL["Kriegsspäher der Zandalari"] = 69768; --Zandalari Warscout
	AL["Zao'cho"] = 69843; --Zao'cho
	AL["Zesqua"] = 72245; --Zesqua
	AL["Zhu-Gon der Saure"] = 71919 --Zhu-Gon the Sour
end